# Fetch payout commissions

<mark style="color:green;">`POST`</mark> `https://app.thedex.cloud/api/v1/commissions/payout`

#### Headers

| Name                                             | Type   | Description                        |
| ------------------------------------------------ | ------ | ---------------------------------- |
| X-EX-APIKEY<mark style="color:red;">\*</mark>    | String | Your API key                       |
| X-EX-PAYLOAD<mark style="color:red;">\*</mark>   | String | Body to base64                     |
| X-EX-SIGNATURE<mark style="color:red;">\*</mark> | String | Encrypted body with the secret key |

#### Request Body (empty JSON)

```
{ }
```

**Request JSON attributes**

| Name | Type | Description |
| ---- | ---- | ----------- |
| -    | -    | -           |

**Response Body**

{% tabs %}
{% tab title="200 list of monetary-related commissions for the requested user" %}

```json
{
   "userPayoutCommission": Number,
   "payoutBlockchainFee":[
      {
         "monetary": "String",
         "blockchainFee": Number
      }, 
      ...
   ]
}

```

{% endtab %}
{% endtabs %}

**Response JSON attributes:**

<table data-header-hidden><thead><tr><th width="394"></th><th width="152.33333333333331"></th><th></th></tr></thead><tbody><tr><td><strong>Name</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td><code>"userPayoutCommission"</code></td><td><code>Number</code></td><td>Payout commission of User</td></tr><tr><td><code>"payoutBlockchainFee"</code></td><td><code>JSON Array</code></td><td>An array of blockchainFee by monetary</td></tr><tr><td><code>"payoutBlockchainFee.monetary"</code></td><td><code>String</code></td><td>payCurrency (monetary)</td></tr><tr><td><code>"payoutBlockchainFee.blockchainFee"</code></td><td><code>Number</code></td><td>Blockchain fee that will be withdrawn from user balance by monetary</td></tr></tbody></table>

**Request curl:**&#x20;

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/commissions/payout' \
--header 'X-EX-APIKEY: <string>' \
--header 'X-EX-PAYLOAD: <string>' \
--header 'X-EX-SIGNATURE: <string>' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data '{}'
```

**Example Curl**

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/commissions/payout' \
--header 'X-EX-APIKEY: test_api_key_123456' \
--header 'X-EX-PAYLOAD: e30=' \
--header 'X-EX-SIGNATURE: dummy_signature_abc123' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data-raw '{}'
```
